import ('/static/js/Keyboard.js')
let Keyboard = window.SimpleKeyboard.default;

let myKeyboard = new Keyboard({
  onChange: input => onChange(input),
  onKeyPress: button => onKeyPress(button),
  theme: "hg-theme-default hg-layout-default myTheme",
  layout: {
    default: [
      "1 2 3",
      "4 5 6",
      "7 8 9",
      " 0 {bksp}"
    ],
  }
});

let ary_input = [];
let index = 1;
function onChange(input) {
  if ( ary_input.length > 6 ){
    ary_input.pop();
  }
  console.log("Input changed", ary_input);

}

function onKeyPress(button) {
  console.log("index : ", index);
  if( String(button) != ""){
    if ( String(button) == "{bksp}" && index > 1 ){
      index= index - 1;
      n = "slot-" + index;
      document.querySelector('input[id="'+n+'"]').value = '';
      ary_input.pop();
    }else if( String(button) == "{bksp}" && index == 1){
      console.log("back to the first pin code");
    }else if (index < 7 ){
      n = "slot-" + index;
      document.querySelector('input[id="'+n+'"]').value = button;
      index = index + 1;
      ary_input.push(button);
    }else{
      console.log("index over 6");
    }
  }else{
    console.log("press space button");
  }
  document.querySelector('input[id="'+n+'"]').focus();

  console.log("Button pressed", button);

}
